#include <bits/stdc++.h>

using namespace std;

struct Jabucar
{
    int prihod, procenat;
};

bool sortiraj_prema_procentu(Jabucar p1, Jabucar p2)
{
    return p1.procenat < p2.procenat;
}

int main()
{
    int n, sum=0, k;
    Jabucar a[100005];
    cin>>n;
    for(int i=0;i<n;i++)
    {
        int prihod, procenat;
        cin>>prihod>>procenat;
        a[i]={prihod, procenat};
        sum+=prihod;
    }
    sort(a, a+n, sortiraj_prema_procentu);

    k=a[0].procenat/100*sum;
    sum-=a[0].prihod;
    for(int i=0;i<n;i++)
    {
        int novo_k=a[i].procenat/100*sum;
        if(novo_k>k)k=novo_k;
        sum-=a[i].prihod;
    }
}